org.jboss.resteasy.spi.interception

## Interface MessageBodyReaderContext

- Deprecated.

      @Deprecated
      public interface MessageBodyReaderContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation[]` | `getAnnotations()` Deprecated.
    `Object` | `getAttribute(String attribute)` Deprecated. Allows you to pass values back and forth between interceptors On the server side, this is the HttpRequest attributes, on the client side, this is the ClientRequest/ClientResponse attributes.
    `Type` | `getGenericType()` Deprecated.
    `MultivaluedMap<String,String>` | `getHeaders()` Deprecated.
    `InputStream` | `getInputStream()` Deprecated.
    `MediaType` | `getMediaType()` Deprecated.
    `Class` | `getType()` Deprecated.
    `Object` | `proceed()` Deprecated.
    `void` | `removeAttribute(String name)` Deprecated.
    `void` | `setAnnotations(Annotation[] annotations)` Deprecated.
    `void` | `setAttribute(String name, Object value)` Deprecated.
    `void` | `setGenericType(Type genericType)` Deprecated.
    `void` | `setInputStream(InputStream is)` Deprecated.
    `void` | `setMediaType(MediaType mediaType)` Deprecated.
    `void` | `setType(Class type)` Deprecated.

- - ### Method Detail

    - #### getType

          Class getType()

      Deprecated.

    - #### setType

          void setType(Class type)

      Deprecated.

    - #### getGenericType

          Type getGenericType()

      Deprecated.

    - #### setGenericType

          void setGenericType(Type genericType)

      Deprecated.

    - #### getAnnotations

          Annotation[] getAnnotations()

      Deprecated.

    - #### setAnnotations

          void setAnnotations(Annotation[] annotations)

      Deprecated.

    - #### getMediaType

          MediaType getMediaType()

      Deprecated.

    - #### setMediaType

          void setMediaType(MediaType mediaType)

      Deprecated.

    - #### getHeaders

          MultivaluedMap<String,String> getHeaders()

      Deprecated.

    - #### getInputStream

          InputStream getInputStream()

      Deprecated.

    - #### setInputStream

          void setInputStream(InputStream is)

      Deprecated.

    - #### getAttribute

          Object getAttribute(String attribute)

      Deprecated.
      Allows you to pass values back and forth between interceptors On the server side, this is the HttpRequest attributes, on the client side, this is the ClientRequest/ClientResponse attributes.
      Returns:

    - #### setAttribute

          void setAttribute(String name,
                          Object value)

      Deprecated.

    - #### removeAttribute

          void removeAttribute(String name)

      Deprecated.

    - #### proceed

          Object proceed()
                         throws IOException,
                                WebApplicationException

      Deprecated.
      Throws:
        `IOException`
        `WebApplicationException`

Copyright © 2014. All Rights Reserved.